Subject: bug#17075: [bug-diffutils] bug#17075: diff - - exits immediately

From: [email-masked] (Karl Berry)
Date: Tue, 25 Mar 2014 21:12:37 GMT

Unfortunately all the one-liners I can think of are wrong.

Yeah, ok, forget that.

How about more than one line of explanation in the manual, then?
At least to avoid the wrong implication in the manual now, even if we
don't want to say anything very specific about the behavior.  For instance:

  Given the same file name twice, @code{diff} will ordinarily
  immediately report success, but may or may not read the file even
  once, depending on other options (e.g., @code{-D}) or the situation
  (e.g., if the file exists).  This includes the case where the file is
  standard input, that is, @code{diff - -}.

Something ...

Thanks,
k